org.gradle.api.tasks

## Class TaskValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.internal.exceptions.DefaultMultiCauseException
          - - org.gradle.api.tasks.TaskValidationException

- All Implemented Interfaces:
    Serializable, org.gradle.internal.exceptions.MultiCauseException

      public class TaskValidationException
      extends org.gradle.internal.exceptions.DefaultMultiCauseException

  A `TaskValidationException` is thrown when there is some validation problem with a task.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskValidationException(String message, List<InvalidUserDataException> causes)`

  - ### Method Summary

    - ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

      `getCause, getCauses, initCause, initCauses, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskValidationException

          public TaskValidationException(String message,
                                 List<InvalidUserDataException> causes)